@import url('/src/styles/styles.less');

.quiz-result-management-quiz-link:hover {
    text-decoration: underline !important;
}

.quiz-info-card-item {
    svg {
        margin-right: 0.75rem;
        width: 1.5rem;
        height: 1.5rem;
    }

    .ant-card-body {
        display: flex;
    }

    .quiz-info-card-item-value {
        font-weight: bold;
        padding-left: 0.25rem;
    }
}

.class-quiz-result-instruction {
    color: @red-error;
    margin-bottom: 1rem;
    display: block;
}

.last-session-flag {
    color: @success;
}

.class-quiz-management-search-filter-wrapper {

    display: flex;
    justify-content: space-between;
    margin-bottom: 1.5rem;

    .class-quiz-management-search-wrapper {
        flex-grow: 1;
        display: flex;
        justify-content: flex-end;
    }

    .quiz-class-management-btn {
        border-radius: 0.25rem;
        background-color: rgb(231, 232, 239);
    }

    .quiz-class-management-btn-inactive:hover {
        background-color: #E3F2FD;
    }

    .quiz-class-management-btn-inactive:focus {
        background-color: rgb(231, 232, 239) !important;
        color: rgba(0, 0, 0, 0.85) !important;
        border: 1px solid transparent !important;
    }

    .quiz-class-management-btn-active {
        background-color: @primary;
        color: white;
    }

    .class-quiz-management-filter-wrapper {
        display: flex;
        flex-grow: 1;

        button {
            margin-right: 1rem;
        }
    }
}